Package: org.grails.taglib

## [Java] Class GroovyPageAttributes

- org.grails.taglib.GroovyPageAttributes

- All Implemented Interfaces and Traits:
    java.lang.Cloneable

      @java.lang.SuppressWarnings({ "unchecked", "rawtypes" })
      public class GroovyPageAttributes
      extends TypeConvertingMap

  Defines attributes passed to a GSP tag. Mixes in TypeConvertingMap for ease of type conversion.

  Authors:
    Graeme Rocher
    Lari Hotari
  Since:
    1.2

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractTypeConvertingMap` | `wrappedMap`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyPageAttributes ()`
    `GroovyPageAttributes (java.util.Map map)`
    `GroovyPageAttributes (java.util.Map map, boolean gspTagSyntaxCall)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.Object` | `clone()`
    `` | `boolean` | `isGspTagSyntaxCall()`
    `` | `void` | `setGspTagSyntaxCall(boolean gspTagSyntaxCall)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class TypeConvertingMap` | `boolean, boolean, byte, byte, char, char, char, clone, double, double, float, float, int, int, long, long, short, short`
    `class AbstractTypeConvertingMap` | `asBoolean, clear, containsKey, containsValue, date, date, date, entrySet, equals, equals, get, getBoolean, getBoolean, getByte, getByte, getChar, getChar, getDate, getDate, getDouble, getDouble, getFloat, getFloat, getInt, getInt, getList, getLong, getLong, getShort, getShort, hashCode, isEmpty, keySet, list, put, putAll, remove, size, toString, values`
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`

- - ### Constructor Detail

    - #### public GroovyPageAttributes()

    - #### public GroovyPageAttributes(java.util.Map map)

    - #### public GroovyPageAttributes(java.util.Map map, boolean gspTagSyntaxCall)

  - ### Method Detail

    - #### @java.lang.Override public java.lang.Object clone()

    - #### public boolean isGspTagSyntaxCall()

    - #### public void setGspTagSyntaxCall(boolean gspTagSyntaxCall)